Page MenuHomePhabricator

iOS Release 4.1.5
Closed, ResolvedPublic

Description

See iOS release process for process documentation. Keep iOS release status and history up to date.

Release version: 4.1.5
Release tag: 4.1.5.144
Release SHA1: 89dfdcaaebc698e0bf3f74801bb062a3c29e928e
App Store Submission Date: Jun 9, 2015
App Store Approval Date: June 24, 2015
App Store Release Date: Jun 24, 2015
Regression Testing URL: https://docs.google.com/spreadsheets/d/1BEZ8WZm9mtHmozsk9aQ1s5c7mmjgntkmuBnx8tA1Q_A/edit#gid=0


  • Point current status at this card
  • Add roadmap and notice tags
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC to TSG on Hockey App
  • Post to mobile-l when Beta is approved for external testing
  • Draft What's New, post to Google Docs, and notify writers room
  • Update "What’s New" on iTunes Connect
  • Review App Store description, and determine if we need to update
  • Draft App Store Description, post to Google Docs, and notify writers room (if needed)
  • Upload new screenshots to iTunes Connect (if needed)
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received from TSG in Hockey App
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Update HockeyApp console to mark build as released once released
  • Notify Comms that release is live so they can take action if necessary (publish blog post)
  • Notify Michael Guss to post on Twitter and Facebook
  • Post on mobile-l

Event Timeline

Fjalapeno created this task.Jun 2 2015, 3:34 PM
Fjalapeno raised the priority of this task from to Needs Triage.
Fjalapeno updated the task description. (Show Details)
Fjalapeno added a subscriber: Fjalapeno.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2015, 3:34 PM
Fjalapeno moved this task from Unscheduled to June 2015 on the Roadmap board.Jun 2 2015, 3:34 PM
Fjalapeno updated the task description. (Show Details)Jun 3 2015, 3:25 PM
Fjalapeno set Security to None.
gpaumier moved this task from Backlog to Triaged on the Notice board.Jun 4 2015, 3:18 PM
greg moved this task from June 2015 to June 15-19 on the Roadmap board.Jun 5 2015, 10:06 PM
Fjalapeno updated the task description. (Show Details)
Fjalapeno updated the task description. (Show Details)
Fjalapeno updated the task description. (Show Details)Jun 11 2015, 3:53 PM
Fjalapeno updated the task description. (Show Details)Jun 11 2015, 4:16 PM
gpaumier moved this task from Triaged to Archive on the Notice board.Jun 11 2015, 4:48 PM
dr0ptp4kt moved this task from June 15-19 to June 22-26 on the Roadmap board.Jun 18 2015, 4:08 PM
dr0ptp4kt added a subscriber: dr0ptp4kt.

@Fjalapeno I moved this to June 22-26 on the Roadmap board. Please drag farther along on the board if necessary.

Fjalapeno updated the task description. (Show Details)Jun 22 2015, 3:40 PM
Fjalapeno updated the task description. (Show Details)Jun 24 2015, 3:20 PM
Fjalapeno updated the task description. (Show Details)Jun 25 2015, 1:58 AM
Fjalapeno moved this task from Doing to Needs QA on the Wikipedia-iOS-App-Development board.
Jdforrester-WMF closed this task as Resolved.Jun 25 2015, 4:03 PM